DNS API-Referenz
v1.6.2
Update DNS record
Update a DNS record and automatically detect the record based on the
name and type specified in the parameters. If you want to update the name or type attribute, please refer to the PATCH /dns/rr/{rrid} endpoint.PATCH
/dns/rr
ResourceRecords
Authentifizierung
Request Body
Data object for the record
recordRequestFQDNrecordRequestFQDN
{
"type": "A",
"name": "www.example.com.",
"data": "12.12.12.12"
}Felder
Name
Typ
Format
Pflicht
Description
type
string
-
Pflicht
-
name
string
-
Pflicht
Fully Qualified Domain Name (FQDN, ending with a period).
ttl
integer
-
Optional
Time To Live in seconds (60-86400)
annotation
string
-
Optional
A custom note for this particular record.
data
string
-
Pflicht
-
Request-Beispiel
PATCH
curl --request PATCH \
--url 'https://api.regfish.com/dns/rr' \
--header 'x-api-key: YOUR_API_KEY' \
--header 'content-type: application/json' \
--data '{
"type": "A",
"name": "www.example.com.",
"data": "12.12.12.12"
}'Responses
200
The record corresponding to the provided `name`/`type` combination
Response-Beispiel 200
{
"success": true,
"code": 0,
"response": {
"type": "A",
"name": "www.example.com.",
"data": "12.12.12.12",
"id": 1,
"auto": true,
"active": true,
"ts_created": 1,
"ts_updated": 1
}
}400
Invalid request
Response-Beispiel 400
{
"success": false,
"message": "Invalid request",
"error": "Invalid request"
}401
Unauthorized
Response-Beispiel 401
{
"success": false,
"message": "Unauthorized",
"error": "Unauthorized"
}404
No record found for the provided `name`/`type` combination
Response-Beispiel 404
{
"success": false,
"message": "No record found for the provided `name`/`type` combination",
"error": "No record found for the provided `name`/`type` combination"
}417
DNS record update violates a zone constraint
Response-Beispiel 417
{
"success": false,
"message": "DNS record update violates a zone constraint",
"error": "DNS record update violates a zone constraint"
}500
Unexpected error
Response-Beispiel 500
{
"success": false,
"message": "Unexpected error",
"error": "Unexpected error"
}Verwandte Modelle
A
A
AAAA
AAAA
ALIAS
ALIAS
baseResult
baseResult
CAA
CAA
CNAME
CNAME
Error
Error
fqdn
Fully Qualified Domain Name (FQDN, ending with a period).
fqdn_or_subdomain
Fully Qualified Domain Name (FQDN) or subdomain. You can use the `@` symbol to represent your apex domain (e.g., example.com). Wildcards are supported.
ipv4
ipv4
ipv6
ipv6
MX
MX
record
record
recordRequestFQDN
recordRequestFQDN
recordResponse
recordResponse
recordResponseAdditionalReqFQDN
recordResponseAdditionalReqFQDN
recordResponseAdditionalReqRRID
recordResponseAdditionalReqRRID
recordResponseAdditionalState
recordResponseAdditionalState
recordType
recordType
rrid
Resource Record ID
ttl
Time To Live in seconds (60-86400)
TXT
TXT
type
type
Community
Werden Sie ein Teil der Community
Das DNS API von regfish ist die perfekte Lösung für Entwickler, die ihre Domains und DNS-Zonen automatisieren möchten. Werden Sie Teil der Community und profitieren Sie von den Vorteilen der DNS-Automatisierung. Das DNS API steht jedem regfish-Kunden kostenlos zur Verfügung.